---
search:
  tags:
    - Product Drafts
    - GET
seo:
  description: >-
    Retrieves the draft changeset and metadata… Reference for the GET
    /api/v1/{team_slug}/{app_slug}/products/{product_id}/draft endpoint in the
    Management API.
sidebar:
  label: Get Product Draft
  badge: GET
title: Get Product Draft
type: openapi-operation
---
Retrieves the draft changeset and metadata for a specific product, including the scheduled publication time if set.

`GET /api/v1/{team_slug}/{app_slug}/products/{product_id}/draft`

**Responses**

- `200` — Draft retrieved successfully
- `401` — Unauthorized access
- `404` — No draft found for this product
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "app_id": "string",
    "changeset": {
      "attributes": [
        "string"
      ],
      "categories": [
        {
          "id": "string",
          "is_main_category": true,
          "order": 0
        }
      ],
      "collections": [
        "string"
      ],
      "description": "string",
      "html_description": "string",
      "html_short_description": "string",
      "images": [
        {
          "id": "string",
          "priority": 0
        }
      ],
      "meta_description": "string",
      "meta_title": "string",
      "name": "string",
      "short_description": "string",
      "tags": [
        {
          "key": "string",
          "order": 0
        }
      ]
    },
    "created_at": "string",
    "id": "string",
    "product_id": "string",
    "publish_at": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
